[metadata]
name = elasticsearch-curator
description = "Tending your Elasticsearch indices"
long_description = file: README.rst
version = attr: curator._version.__version__
author = Elastic
author_email = info@elastic.co
url = https://github.com/elastic/curator
license = Apache License, Version 2.0
keywords = elasticsearch, time-series, indexed, index-expiry
classifiers =
    Intended Audience :: Developers
    Intended Audience :: System Administrators
    License :: OSI Approved :: Apache Software License
    Operating System :: OS Independent
    Programming Language :: Python
    Programming Language :: Python :: 2.7
    Programming Language :: Python :: 3.5
    Programming Language :: Python :: 3.6

[options]
install_requires = 
    voluptuous
    elasticsearch
    urllib3
    requests
    boto3
    click
    pyyaml
    certifi
    six

setup_requires =
    voluptuous
    elasticsearch
    urllib3
    requests
    boto3
    click
    pyyaml
    certifi
    six

packages = curator
include_package_data = True
tests_require =
    mock
    nose
    coverage
    nosexcover

[options.entry_points]
console_scripts = 
    curator = curator.cli:cli
    curator_cli = curator.curator_cli:main
    es_repo_mgr = curator.repomgrcli:repo_mgr_cli

[options.packages.find]
exclude =
    tests

[bdist_wheel]
universal=1
